Subject: bug#8395: ASLR Issue?

From: Bob Halley <[email-masked]>
Date: Sun, 10 Jul 2011 08:19:47 -0700

On 7 Jul 2011, at 15:57, YAMAMOTO Mitsuharu wrote:

> This may or may not be a separate issue.  Could you show the result of
> `$ otool -h src/temacs src/emacs' at the build tree?

src/temacs:
Mach header
      magic cputype cpusubtype  caps    filetype ncmds sizeofcmds      flags
 0xfeedfacf 16777223          3  0x80          2    23       3696 0x00000085
src/emacs:
Mach header
      magic cputype cpusubtype  caps    filetype ncmds sizeofcmds      flags
 0xfeedfacf 16777223          3  0x80          2    31       4272 0x00000085

I've done a few tests which suggest the problems with the missing title bar etc. that I reported are a separate issue.  I did a build targeted to 10.6 instead of 10.7 after removing the -fno-pie, and I had no problems unexecing, but the title bar was still gone.

I also tried running src/emacs directly (a 10.7 build with -fno-pie).   It printed this to the console:

2011-07-10 08:04:33.093 emacs[61589:707] ERROR: Can't have a toolbar in a window with <NSNextStepFrame: 0x100e40830> as it's borderview

>  Also, please try
> X11 or tty-only builds if possible.

I'll try that later; I'll have to pull plain emacs 24 code as this doesn't seem to work with the Aquamacs code base.